Sisimai::SMTP::Status(3pm)

NAME
Sisimai::SMTP::Status - SMTP Enhanced Status Codes related utilities

SYNOPSIS
    use Sisimai::SMTP::Status;
    print Sisimai::SMTP::Status->code('userunknown');           # '5.0.911'
    print Sisimai::SMTP::Status->name('5.1.2');                 # 'hostunknown'
    print Sisimai::SMTP::Status->find('550 5.1.1 Unknown user');# '5.1.1'

DESCRIPTION
Sisimai::SMTP::Status is utilities for getting DSN value from error reason text, getting the reason from DSN value, and getting DSN from the text including DSN.

CLASS METHODS

  "code(reason,temp)"
"code()" returns pseudo DSN value from the specified reason string. The second argument is a flag for getting pseudo DSN value as a temporary error.

    print Sisimai::SMTP::Status->code('mailboxfull');   # '5.0.922'
    print Sisimai::SMTP::Status->code('mailboxfull',1); # '4.0.922'

  "name(D.S.N.)"
"name()" returns a reason string from the specified DSN value.

    print Sisimai::SMTP::Status->name('5.1.6');         # 'hasmoved'
    print Sisimai::SMTP::Status->name('4.2.3');         # 'exceedlimit'

  "find(String)"
"find()" returns a DSN value only from the text including DSN

    print Sisimai::SMTP::Status->find('5.0.0');                  # '5.0.0'
    print Sisimai::SMTP::Status->find('550 5.1.1 User unknown'); # '5.1.1'
    print Sisimai::SMTP::Status->find('447 delivery expired');   # ''

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2018,2020 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.